# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#  lp_browser: gtk-application using launchpadlib
#  Copyright © 2011, 2013  B. Clausius <barcc@gmx.de>
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

from __future__ import print_function, division

__all__ = [
    'get_data_path',
    ]

# Where your project will look for your data (for instance, images and ui
# files). By default, this is ../data, relative your trunk layout
__lp_browser_data_directory__ = '../data/'
__license__ = 'GPL-3'

import os


def get_data_path():
    """Retrieve lp-browser data path

    This path is by default <lp_browser_lib_path>/../data/ in trunk
    and /usr/share/lp-browser in an installed version but this path
    is specified at installation time.
    """
    path = os.path.join(os.path.dirname(__file__), __lp_browser_data_directory__)
    return os.path.abspath(path)
    
