# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#  lp_browser: gtk-application using launchpadlib
#  Copyright © 2011, 2013  B. Clausius <barcc@gmx.de>
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

from __future__ import print_function, division

"""Helpers for an Ubuntu application."""

__all__ = [
    'make_window',
    ]

import os
from gi.repository import Gtk

from lp_browser.config import get_data_path


def get_builder(builder_file_name):
    ui_filename = os.path.join(get_data_path(), 'ui', builder_file_name)
    if not os.path.exists(ui_filename):
        ui_filename = None
    builder = Gtk.Builder()
    builder.set_translation_domain('lp-browser')
    builder.add_from_file(ui_filename)
    return builder


